Authenticate request

This function is used to retrieve an authentication token for all the requests done via the checkout API

šŸ“˜

Live Endpoint

https://api.tingg.africa/v1/oauth/token/request

Request Parameters

KeyValue TypeRequiredDescription
client_idStringYesAPI client ID
client_secretStringYesAPI client secret.
grant_typeStringYesThe grant expected by the OAuth server.
{
  "client_id": "JOHNDOESERVICE123",
  "client_secret": "BLXBeUyndtTTASXwTFZbgdDVKWeQnFUEHbXj",
  "grant_type": "client_credentials"
}
Body Params
string
required
Defaults to TINGGTEST1710234558655
string
required
Defaults to FegTKoV66FfQFVmbM0k0TODFYS7eLYB4RhVdLoKbI
string
required
Defaults to client_credentials
Headers
string
required
Defaults to pscPbgj27sEYaPBdxYoHSshEDdt5Pivq
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain